#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	mixin
Summary:	mixin - mix-in inheritance, an alternative to multiple inheritance
Summary(pl.UTF-8):	mixin - dziedziczenie "towarzyskie", alternatywa dla dziedziczenia wielokrotnego
Name:		perl-mixin
Version:	0.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/MS/MSCHWERN/%{pdir}-%{version}.tar.gz
# Source0-md5:	206a7b1225600dd7555bf8ccc6057cf0
URL:		http://search.cpan.org/dist/mixin/
BuildRequires:	perl-Module-Build >= 0.36
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-NoWarnings
BuildRequires:	perl-Test-Simple >= 0.40
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mixin inheritance is an alternative to the usual multiple-inheritance
and solves the problem of knowing which parent will be called.
It also solves a number of tricky problems like diamond inheritence.

The idea is to solve the same sets of problems which MI solves without
the problems of MI.

%description -l pl.UTF-8
Dziedziczenie "mixin" (towarzyskie) jest alternatywą dla zwykłego
dziedziczenia wielokrotnego i rozwiązuje problem braku wiedzy o tym,
który z przodków zostanie wywołany. Rozwiązuje ono również kilka
innych podstępnych problemów, jak na przykład dziedziczenie rombowe.

Idea polega na tym, by rozwiązać problemy, które rozwiązuje
dziedziczenie wielokrotne bez problemów dziedziczenia wielokrotnego.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/mixin.pm
%{perl_vendorlib}/mixin
%{_mandir}/man3/mixin.3pm*
%{_mandir}/man3/mixin::with.3pm*
%changelog
* Sat Jan 09 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-mixin.git;a=log;h=master

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 7a1f614
- updated to 0.08

* Wed Jan 18 2012 zbyniu <zbyniu@pld-linux.org> 19a0313
- up to 0.07

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 313e6a3
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> f9f8f6f
- up to 0.06

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 714f5cb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5032a32
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> bac3ec2
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 793a70c
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 000bd8f
- spaces->tabs

* Mon Aug 09 2004 ankry <ankry@pld-linux.org> be6b8fd
- pl

* Mon Aug 09 2004 radek <radek@pld-linux.org> a39afc2
- new

